<?
	$linked_agencies = $this->agency->getLinkedAgencies();
?>

<? $this->headScript()
	->appendFile(_st('reviews-private.js'), 'text/javascript');
?>

<?
$DEFINITIONS = Zend_Registry::get('defines');
$ms = '';
$wk = '';

foreach ($DEFINITIONS['month_' . $this->lang()] as $m)
	$ms .= "'" . ucfirst($m) . "', ";

$ms = trim($ms, ", ");

foreach ($DEFINITIONS['week_' . $this->lang()] as $w)
	$wk .= "'" . ucfirst($w) . "', ";

$wk = trim($wk, ", ");
?>

<script type="text/javascript">
	/*window.addEvent('domready', function() {
		var signupType = $("signup_type").get('value');
		if(signupType){
			//ga('send', 'event', signupType, 'signup', 'classic');
		}
	});*/
	Cubix.PReviews.months = [<?= $ms ?>];
	Cubix.PReviews.days = [<?= $wk ?>];
</script>

<input value="<?= $_COOKIE['PHPSESSID'] ?>" type="hidden" id="sess_name" />
<input value="<?= $this->signup_type ?>" type="hidden" id="signup_type" />
<div id="dashboard">
<div class="header">
	<p class="icon-dash"></p>
	<p class="title an"><?= __('dashboard') ?></p>

	<a href="<?= $this->getLink('signout') ?>" class="btn-logout an"><?= __('logout') ?></a>
	<p class="welcome an"><?= __('welcome_s') ?> <?= $this->user->username ?>!</p>

	<div class="clear"></div>
</div>

<? if ( $linked_agencies ): ?>
<div class="switch-agency">
	<select id="agency-list" style="width: 285px;">
		<option value="0">- - -</option>
		<? foreach ($linked_agencies as $agency): ?>
			<option value="<?= $agency['id'] ?>"><?= $agency['name'] ?></option>
		<? endforeach; ?>		
	</select>
	<a class="btn-switch-agency"><?= __('switch_agency') ?></a>
</div>
<? endif; ?>

<div class="dash-body" style="position:relative">
	<div class="block my-profile border-none">
		<?= $this->render('dashboard/agency-profile-block.phtml') ?>

		<div class="inner-block features member-features border-none">
			<div class="head">
				<p class="icon"></p>
				<p class="title an"><?= __('features') ?></p>
			</div>
			<div class="block-body">
				<ul>
					<li class="sep"></li>
					<li>
						<a href="#" class="private-messages" onclick="return PrivateMessaging.Load();">
							<? if ( $this->unread_threads_count ): ?>
							<span><?= $this->unread_threads_count > 9 ? '9+' : $this->unread_threads_count ?></span>
							<? endif; ?>
						</a>
						<a href="#" class="" onclick="return PrivateMessaging.Load();"><?= __('private_messages') ?></a>
						<div class="clear"></div>
					</li>
					<li class="sep"></li>
					<li>
						<a href="#" class="my-alerts" onclick="return Cubix.Pl.load();"></a><a href="#" onclick="return Cubix.Pl.load();"><?= __('planner') ?></a>
						<div class="clear"></div>
					</li>
					<li class="sep"></li>
					<li>
						<a href="#" class="my-reviews" onclick="return Cubix.PReviews.load();"></a>
						<a href="#" onclick="return Cubix.PReviews.load();">
							<?= __('my_reviews') ?>
							<? if ($this->pending_reviews_count): ?>
								<span class="pend-rev-count"><?= $this->pending_reviews_count ?></span>
							<? endif; ?>
						</a>
						<div class="clear"></div>
					</li>
				</ul>
			</div>
		</div>
	</div>

		<? /* March 8 POPUP */?>
		<?/* if ( $this->user->march8_status == 1 && !isset($_COOKIE['march8_closed_ed']) && in_array(date('j'), array(7,8,9,10,11) )) : ?>

			<script type="text/javascript">
				window.addEvent('domready', function() {
					var overlay = new Cubix.Overlay(document.body, {
						position: '50%',
						has_loader: false,
						opacity: '0.7',
						color: '#e9fae7'
					});
					overlay.disable();
					setTimeout(function(){ $('march8').fade('in') }, 2000);
					$$('#march8 .close').addEvent('click', function(){
						new Request({
							url: '/dashboard/remove-march8-status',
							method: 'get',
							onSuccess: function (resp) {
								
							}
						}).send();
						$('march8').fade('out');
						if($('dont_show_8popup_lose').get('checked')){
							Cookie.write('march8_closed_ed',1,{duration: 6});
						}
						overlay.enable();
						
					});
				});
			</script>

			<div id="march8" class="popup_lose">
				<div class='text-box'>
					<h3>Oooh!</h3>
					<p><?= __('march8_lose_text') ?></p>
					<input class='check-box' type="checkbox" id="dont_show_8popup_lose" name="dont_show_8popup_lose"></input>
					<label for="dont_show_8popup_lose"></label>
					<span><?= __('march8_lose_dont_show') ?></span>	
				</div>
				<a href="#" class="close"></a>
			</div>

		<? elseif ( $this->user->march8_status == 2  && in_array(date('j'), array(7,8,9,10,11)) ): ?>
			<script type="text/javascript">
			window.addEvent('domready', function() {
				var overlay = new Cubix.Overlay(document.body, {
					position: '50%',
					has_loader: false,
					opacity: '0.8',
					color: '#ffe1e1'
				});
				overlay.disable();
				setTimeout(function(){ $('march8').fade('in') }, 2000);
				$$('#march8 .close').addEvent('click', function(){
						new Request({
							url: '/dashboard/remove-march8-status',
							method: 'get',
							onSuccess: function (resp) {
								
							}
						}).send();
						$('march8').fade('out');
						overlay.enable();
						
					});


			});
		</script>

		<div id="march8" class="popup_win">
			<a href="#" class="close"></a>
			<div class='text-box'>
				<h3><?= __('march8_win_title') ?></h3>
				<p><?= __('march8_win_text') ?></p>
			</div>			
		</div>
				
		<? endif;*/ ?>
		
		
		 <?/*March 8 POPUP END; */?>
	
	<div class="block settings agency-settings">
		<div class="head">
			<p class="icon agency-edit-icon"></p>
			<p class="title an"><?= __('agency_profile') ?></p>
		</div>
		<div class="block-body mb10">
			<ul>
				<li>
					<a href="#" onclick="return Popup.EditAgencyProfile(this, -40);" class="edit-agency"></a><a href="#" onclick="return Popup.EditAgencyProfile(this, -40);"><?= __('dash_edit_agency_profile') ?></a>
					<div class="clear"></div>
				</li>
			</ul>
		</div>

		<div class="head">
			<p class="icon"></p>
			<p class="title an"><?= __('settings') ?></p>
		</div>
		<div class="block-body mb10">
			<ul>
				<li>
					<a href="#" class="verify verification-request"></a><a class="verification-request" href="#"><?= __('dash_verify_your_photos') ?></a>
					<div class="clear"></div>
				</li>
				<li class="sep"></li>

				<? /*<li class="openable closed">
					<a href="#" class="block-country"></a><a href="#">Block countries</a><a href="#" class="btn-open-close closed"></a>
					<div class="clear"></div>
				</li>
				<li class="sep"></li>
				<li class="sub">
					<div class="body">
						<p>sadfsdfsdf</p>
						<p>sadfsdfsdf</p>
						<p>sadfsdfsdf</p>
						<p>sadfsdfsdf</p>
						<p>sadfsdfsdf</p>
					</div>
				</li>*/ ?>

				<li class="openable closed">
					<a href="#" class="change-pass"></a><a href="#"><?= __('change_passwd') ?></a><a href="#" class="btn-open-close closed"></a>
					<div class="clear"></div>
				</li>
				<li class="sep"></li>
				<li class="sub">
					<div class="body change-pass-form">
						<form id="change-pass-form" method="post" action="<?= $this->getLink('change-passwdord') ?>">

							<div class="msg-success none"><?= __('password_changed') ?></div>
							<div class="msg-error none"></div>

							<div class="inner" id="current_pass">
								<input type="text" class="txt" name="current_pass" value="<?= __('pv2_label_enter_current_password') ?>" />
							</div>
							<div class="inner" id="new_pass">
								<input type="text" class="txt" name="new_pass" value="<?= __('pv2_label_enter_new_password') ?>" />
							</div>
							<div class="inner" id="repeat_new_pass">
								<input type="text" class="txt" name="repeat_new_pass" value="<?= __('pv2_label_reenter_new_password') ?>" />
							</div>
							<input type="image" name="submit" value="1" src="/img/private/btn_change.png" />
							<div class="clear"></div>
						</form>
					</div>
				</li>
				<li>
					<a href="#" onclick="return Cubix.PReviews.RevComSet()" class="rev-com"></a><a onclick="return Cubix.PReviews.RevComSet()" href="#"><?= __('reviews_and_comments') ?></a>
					<div class="clear"></div>
				</li>
				<li class="sep"></li>
				<li>
					<a href="#" onclick="return Sceon.initShowOnlineStatusBtn(<?= $this->show_online_status ?>);" class="online-status"></a><a onclick="return Sceon.initShowOnlineStatusBtn(<?= $this->show_online_status ?>);" href="#"><?= __('show_online_status') ?></a>
					<a href="#" onclick="return Sceon.initShowOnlineStatusBtn(<?= $this->show_online_status ?>);" class="online-status-<?= ($this->show_online_status == 1) ? 'on' : 'off' ?>"></a>
					<div class="clear"></div>
				</li>
				<li class="sep"></li>
			</ul>
		</div>

		<div class="head">
			<p class="icon tools-icon"></p>
			<p class="title an"><?= __('tools') ?></p>
		</div>
		<div class="block-body">
			<ul>
				<li>
					<a href="#" onclick="return ClientHotelBlacklist.Load('clients', true);" class="client-hotel-blacklist"></a>
					<a href="#" onclick="return ClientHotelBlacklist.Load('clients', true);"><?= __('dash_client_hotel_blacklist') ?></a>
					<div class="clear"></div>
				</li>
			</ul>
		</div> 

		<div class="inner-block support border-none">
			<div class="head">
				<p class="icon"></p>
				<p class="title an"><?= __('support') ?></p>
			</div>
			<div class="block-body">
				<ul>
					<li>
						<a href="#" class="create-ticket" onclick="return Popup.CreateSupportTicket($(this), 150);"></a><a href="#" onclick="return Popup.CreateSupportTicket($(this), 150);"><?= __('create_support_ticket') ?></a>
						<div class="clear"></div>
					</li>
					<li class="sep"></li>
					<li>
						<a href="#" class="view-tickets"></a><a href="#" class="view-tickets-text"><?= __('dash_view_tickets') ?> <? if( $this->supportUnreadsCount > 0 ): ?><span><?= $this->supportUnreadsCount ?></span><? endif; ?></a>
						<div class="clear"></div>
					</li>
					<li class="sep"></li>
					<li>
						<a href="mailto:info@escortdirectory.com" class="online-support"></a><a href="mailto:info@escortdirectory.com"><?= __('dash_online_support') ?></a>
						<div class="clear"></div>
					</li>
					<li class="sep"></li>
					<? /*<li>
							<a href="#" class="live-support"></a><a href="#">Live support</a>
							<div class="clear"></div>
						</li>
						<li class="sep"></li>*/ ?>
				</ul>
			</div>
		</div>

	</div>
	
	<?
		$m_static = new Model_StaticPage();
		$tip_page = $m_static->getBySlug('dashboard-tips-agency', Cubix_Application::getId(), $this->lang());
	?>
	<? if ( $tip_page ): ?>
	<div class="filling-tips">
		<?= $tip_page->body ?>
	</div>
	<? endif; ?>

	<div class="clear"></div>
</div>

<div class="agency-escorts-wrapper">
	<?= $this->render('dashboard/agency-escorts-block.phtml') ?>
</div>
	
<div id="ajax-content"></div>

</div>